# HG changeset patch
# User Akil Ayyappan<akil@multicorewareinc.com>
# Date 1551966566 -19800
#      Thu Mar 07 19:19:26 2019 +0530
# Node ID bf2f1880f5ba6f264cdff9711f548801edd1960b
# Parent  0eccd62725b6a24ae27d52189c4a624dffdd7a07
Fix warnings and Win32 build errors for ssimDistortion primitive

diff -r 0eccd62725b6 -r bf2f1880f5ba source/common/pixel.cpp
--- a/source/common/pixel.cpp	Mon Mar 04 15:36:38 2019 +0530
+++ b/source/common/pixel.cpp	Thu Mar 07 19:19:26 2019 +0530
@@ -938,7 +938,7 @@
 static void ssimDist_c(const pixel* fenc, uint32_t fStride, const pixel* recon, intptr_t rstride, uint64_t *ssBlock, int shift, uint64_t *ac_k)
 {
     *ssBlock = 0;
-    const uint32_t trSize = 1 << log2TrSize;
+    int trSize = 1 << log2TrSize;
     for (int y = 0; y < trSize; y++)
     {
         for (int x = 0; x < trSize; x++)
diff -r 0eccd62725b6 -r bf2f1880f5ba source/common/x86/pixel-a.asm
--- a/source/common/x86/pixel-a.asm	Mon Mar 04 15:36:38 2019 +0530
+++ b/source/common/x86/pixel-a.asm	Thu Mar 07 19:19:26 2019 +0530
@@ -15952,7 +15952,7 @@
 
 INIT_YMM avx2
 cglobal ssimDist4, 7, 8, 8
-    mov            r7d,        4
+    mov            r5d,        4
     vpxor          m4,         m4                              ;ssBlock
     vpxor          m3,         m3
     vpxor          m7,         m7                              ;ac_k
@@ -15980,7 +15980,7 @@
     lea            r0,        [r0 + r1]
     lea            r2,        [r2 + r3]
 %endif
-    dec            r7d
+    dec            r5d
     jnz           .row
     vextracti128   xm5,       m4,        1
     vpaddq         xm4,       xm5
@@ -15999,7 +15999,7 @@
 
 INIT_YMM avx2
 cglobal ssimDist8, 7, 8, 8
-    mov            r7d,        8
+    mov            r5d,        8
     vpxor          m4,         m4                              ;ssBlock
     vpxor          m3,         m3
     vpxor          m7,         m7                              ;ac_k
@@ -16023,7 +16023,7 @@
     lea            r0,         [r0 + r1]
     lea            r2,         [r2 + r3]
 %endif
-    dec            r7d
+    dec            r5d
     jnz            .row
     vextracti128   xm5,        m4,        1
     vpaddq         xm4,        xm5
@@ -16042,7 +16042,7 @@
 
 INIT_YMM avx2
 cglobal ssimDist16, 7, 8, 8
-    mov            r7d,         16
+    mov            r5d,         16
     vpxor          m4,          m4                                ;ssBlock
     vpxor          m3,          m3
     vpxor          m7,          m7                                ;ac_k
@@ -16080,7 +16080,7 @@
     lea            r0,         [r0 + r1]
     lea            r2,         [r2 + r3]
 %endif
-    dec            r7d
+    dec            r5d
     jnz           .row
     vextracti128   xm5,        m4,        1
     vpaddq         xm4,        xm5
@@ -16099,7 +16099,7 @@
 
 INIT_YMM avx2
 cglobal ssimDist32, 7, 8, 8 
-    mov            r7d,        32
+    mov            r5d,        32
     vpxor          m4,         m4                              ;ssBlock
     vpxor          m3,         m3
     vpxor          m7,         m7                              ;ac_k
@@ -16163,7 +16163,7 @@
     lea            r0,          [r0 + r1]
     lea            r2,          [r2 + r3]
 %endif
-    dec            r7d
+    dec            r5d
     jnz           .row
     vextracti128   xm5,         m4,        1
     vpaddq         xm4,         xm5
@@ -16182,7 +16182,7 @@
 
 INIT_YMM avx2
 cglobal ssimDist64, 7, 8, 8 
-    mov            r7d,         64
+    mov            r5d,         64
     vpxor          m4,          m4                             ;ssBlock
     vpxor          m3,          m3
     vpxor          m7,          m7                             ;ac_k
@@ -16298,7 +16298,7 @@
     lea            r0,          [r0 + r1]
     lea            r2,          [r2 + r3]
 %endif
-    dec            r7d
+    dec            r5d
     jnz            .row
     vextracti128   xm5,          m4,        1
     vpaddq         xm4,          xm5
